Some apps updated for iOS 7 won't sync to iOS 6.x

up10ad

Genius
Gold
Aug 1, 2007
3,608
468
83
Fruita , CO
up10ad.com
#1
Seems that some apps won't update unless you move to iOS 7:

Capture.PNG


I'd love to find out exactly why. Perhaps they make use of the new APIs available in iOS 7 and it won't work in iOS 6. That would be a true failure on Apple's part for not providing backwards compatibility. Or, just maybe its just another way for Apple to pressure us to stay current.
 

RBNetEngr

Contributor
Bronze
Jun 17, 2013
170
27
28
#2
I had this happen for two apps. I use my iMac and iTunes for updates and backups, so the versions in iTunes were updated. However, in my case, the older versions were retained on the phone until I updated the phone to iOS 7. At that time, the newer versions were synced onto the phone.


-rb
 

fury

Evangelist
Gold
Oct 23, 2007
2,274
238
63
32
Louisville, KY
#4
Isn't it up to developers to keep their apps compatible with legacy iOS versions?
Ideally, yes. Unfortunately, Apple doesn't make it easy to keep compatibility with older versions. Including 64 bit support currently precludes the ability to support iOS 6. Plus, they very quickly shut the door on app submissions for older OSes and do not allow new updates to support them.

This new App Store feature whereby it offers to download the last compatible version is sort of a halfway measure somewhere between the unrelenting dismissal of the old OSes they have traditionally done, and what they'd ideally do, which is allow new submissions that support them.